Skip to content
Ona Docs

DeleteOrganization

POST/gitpod.v1.OrganizationService/DeleteOrganization

Permanently deletes an organization.

Use this method to:

  • Remove unused organizations
  • Clean up test organizations
  • Complete organization migration

Examples

  • Delete organization:

    Permanently removes an organization and all its data.

    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
Body ParametersJSONExpand Collapse
organizationId: string

organization_id is the ID of the organization to delete

formatuuid

DeleteOrganization

curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/DeleteOrganization \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
        }'
{}
Returns Examples
{}